/*!
 * Copyright (c) 2017-present, Okta, Inc. and/or its affiliates. All rights reserved.
 * The Okta software accompanied by this notice is provided pursuant to the Apache License, Version 2.0 (the "License.")
 *
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0.
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *
 * See the License for the specific language governing permissions and limitations under the License.
 */


/**
 * Okta Admin Management
 * Allows customers to easily access the Okta Management APIs
 *
 * OpenAPI spec version: 4.0.0
 * Contact: devex-public@okta.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { EmailCustomizationLinks } from './../models/EmailCustomizationLinks';
export declare class EmailCustomization {
  /**
    * The email's HTML body. May contain [variable references](https://velocity.apache.org/engine/1.7/user-guide.html#references).
    */
  'body': string;
  /**
    * The email's subject. May contain [variable references](https://velocity.apache.org/engine/1.7/user-guide.html#references).
    */
  'subject': string;
  /**
    * The UTC time at which this email customization was created.
    */
  'created'?: Date;
  /**
    * A unique identifier for this email customization.
    */
  'id'?: string;
  /**
    * Whether this is the default customization for the email template. Each customized email template must have exactly one default customization. Defaults to `true` for the first customization and `false` thereafter.
    */
  'isDefault'?: boolean;
  /**
    * The language specified as an [IETF BCP 47 language tag](https://datatracker.ietf.org/doc/html/rfc5646).
    */
  'language': string;
  /**
    * The UTC time at which this email customization was last updated.
    */
  'lastUpdated'?: Date;
  '_links'?: EmailCustomizationLinks;
  static readonly discriminator: string | undefined;
  static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
  static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
  constructor();
}
