/*!
 * Copyright (c) 2017-present, Okta, Inc. and/or its affiliates. All rights reserved.
 * The Okta software accompanied by this notice is provided pursuant to the Apache License, Version 2.0 (the "License.")
 *
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0.
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *
 * See the License for the specific language governing permissions and limitations under the License.
 */


/**
 * Okta Admin Management
 * Allows customers to easily access the Okta Management APIs
 *
 * OpenAPI spec version: 4.0.0
 * Contact: devex-public@okta.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { LifecycleStatus } from './../models/LifecycleStatus';
import { LogStreamLinks } from './../models/LogStreamLinks';
import { LogStreamType } from './../models/LogStreamType';
export declare class LogStream {
  /**
    * Timestamp when the Log Stream was created
    */
  'created'?: Date;
  /**
    * Unique key for the Log Stream
    */
  'id'?: string;
  /**
    * Timestamp when the Log Stream was last updated
    */
  'lastUpdated'?: Date;
  /**
    * Unique name for the Log Stream
    */
  'name'?: string;
  'status'?: LifecycleStatus;
  'type'?: LogStreamType;
  '_links'?: LogStreamLinks;
  static readonly discriminator: string | undefined;
  static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
  static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
  constructor();
}
