/*!
 * Copyright (c) 2017-present, Okta, Inc. and/or its affiliates. All rights reserved.
 * The Okta software accompanied by this notice is provided pursuant to the Apache License, Version 2.0 (the "License.")
 *
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0.
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *
 * See the License for the specific language governing permissions and limitations under the License.
 */


/**
 * Okta Admin Management
 * Allows customers to easily access the Okta Management APIs
 *
 * OpenAPI spec version: 4.0.0
 * Contact: devex-public@okta.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { NetworkZoneAddress } from './../models/NetworkZoneAddress';
import { NetworkZoneLocation } from './../models/NetworkZoneLocation';
import { NetworkZoneStatus } from './../models/NetworkZoneStatus';
import { NetworkZoneType } from './../models/NetworkZoneType';
import { NetworkZoneUsage } from './../models/NetworkZoneUsage';
export declare class NetworkZone {
  /**
    * Format of each array value: a string representation of an ASN numeric value
    */
  'asns'?: Array<string>;
  'created'?: Date;
  /**
    * IP addresses (range or CIDR form) of this Zone. The maximum array length is 150 entries for admin-created IP zones, 1000 entries for IP blocklist zones, and 5000 entries for the default system IP Zone.
    */
  'gateways'?: Array<NetworkZoneAddress>;
  'id'?: string;
  'lastUpdated'?: Date;
  /**
    * The geolocations of this Zone
    */
  'locations'?: Array<NetworkZoneLocation>;
  /**
    * Unique name for this Zone. Maximum of 128 characters.
    */
  'name'?: string;
  /**
    * IP address (range or CIDR form) that are allowed to forward a request from gateway addresses. These proxies are automatically trusted by Threat Insights, and used to identify the client IP of a request. The maximum array length is 150 entries for admin-created zones and 5000 entries for the default system IP Zone.
    */
  'proxies'?: Array<NetworkZoneAddress>;
  /**
    * One of: `\"\"` or `null` (when not specified), `Any` (meaning any proxy), `Tor`, or `NotTorAnonymizer`
    */
  'proxyType'?: string;
  'status'?: NetworkZoneStatus;
  /**
    * Indicates if this is a system Network Zone. For admin-created zones, this is always `false`. The system IP Policy Network Zone (`LegacyIpZone`) is included by default in your Okta org. Notice that `system=true` for the `LegacyIpZone` object. Admin users can modify the name of this default system Zone and can add up to 5000 gateway or proxy IP entries.
    */
  'system'?: boolean;
  'type'?: NetworkZoneType;
  'usage'?: NetworkZoneUsage;
  '_links'?: {
        [key: string]: any;
    };
  static readonly discriminator: string | undefined;
  static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
  static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
  constructor();
}
